Old

铁血联盟2v1.13MOD:S.T.O.M.P v1.0 Alpha 中文版

经过 5 天的折腾:翻译、遇到bug、解决bug,终于搞定了中文版本,一个很小的问题导致程序崩溃,也就是因为很小的问题导致调试很久才找到 bug 所在的代码。

铁血联盟2v1.13MOD:S.T.O.M.P v1.0 Alpha 的说明介绍请移步到《S.T.O.M.P Version 1.0 Alpha 说明翻译[转载]

下面开始是本文重点:中文版本说明和下载了

  • MOD 名称:S.T.O.M.P. (Sandro's Traits and Other Modifications Project)
  • 版本:1.0 Alpha 中文版
  • ja2.exe版本:build 3307
  • MOD作者:Sandro
  • 整合:headrock's HAM 3.5
  • 翻译:HLTVrocks、mindflayer
  • 校对:HLTVrocks
  • 源程序汉化修改等:zwwooooo

下载地址vfs_stomp1.0alpha_ham3.5_cn&en.7z(直接用左键点击) / uushare网盘

注:由于编译错误,2009.1.19 16:19 前下载的请重新下载!

安装方法

(英文版安装参考:铁血联盟2v1.13MOD:S.T.O.M.P Version 1.0 Alpha

一、JA2 1.13+ TBS Chinese(GB) patch + S.T.O.M.P(中文版)

1. 安装好 JA2 + TBS Chinese(GB) patch + 1.13(svn1203)

(相关下载可以 SVN 或者去《铁血联盟2 v1.13相关下载:SVN导出包、VFS模块包【091201开始】》下载 )

2. 把下载到的 vfs_stomp1.0alpha_ham3.5_cn&en.7z 解压覆盖到游戏根目录

3. 打开 Ja2_STOMP.ini 设置 VFS_CONFIG_INI,设置成下面:

VFS_CONFIG_INI = vfs_config.JA2113.ini, vfs_config.TBS_Chinese(GB)_patch.ini, vfs_config.JA2113-HAMSTOMP_113.ini

4. 运行 ja2_3307_stomp1.0alpha_ham3.5_cn.exe 进行游戏

二、JA2 1.13 + TBS Chinese(GB) patch + DBB + S.T.O.M.P(中文版)

1. 安装好 JA2 + TBS Chinese(GB) patch + 1.13(svn1203)

(相关下载可以 SVN 或者去《铁血联盟2 v1.13相关下载:SVN导出包、VFS模块包【091201开始】》下载 )

2. 把下载到的 vfs_stomp1.0alpha_ham3.5_cn&en.7z 解压覆盖到游戏根目录

3. 打开 Ja2_STOMP.ini 设置 VFS_CONFIG_INI,设置成下面:

VFS_CONFIG_INI = vfs_config.JA2113.ini, vfs_config.TBS_Chinese(GB)_patch.ini, vfs_config.COS.ini, vfs_config.JA2113-HAMSTOMP_113.ini

4. 打开 Data-HAMSTOMP 里面的 ja2_Options.ini ,把基本视距参数 BASE_SIGHT_RANGE 改为:BASE_SIGHT_RANGE = 15

5. 运行 ja2_3307_stomp1.0alpha_ham3.5_cn_COS.exe 进行游戏

如果要加载 WF6.06 maps ,按下面这个顺序:JA2 1.13 + TBS Chinese(GB) patch + WF 606 maps + DBB + S.T.O.M.P

其他组合不说了,自个折腾去

附加说明:其实压缩包 vfs_stomp1.0alpha_ham3.5_cn&en.7z 是中英文版都在里面,具体什么版本就要看你的组合和执行的 ja2.exe,我附带了一个用在英文版中 DBB 专用的 STOMP ja2.exe:ja2_3307_stomp1.0alpha_ham3.5_en_COS.exe,玩英文版本 + DBB 的铁友可以用这个 ja2.exe 运行游戏,注意别忘了在 ja2_Options.ini 里面设置基本视距为15.

2010.1.17 PS

HLTVrocks: 现在的 STOMP 1.0a 站在草里的敌人基本上是看不到也打不到的,因为默认 ja2_Options.ini 里的 tree_cover_effectiveness 设置的太高了(50),设置在30就正常了。

中文版的一些效果图(点击可以放大)

zww
or
oooo

声明: 除非注明,ZWWoOoOo文章均为原创,转载请以链接形式标明本文地址
本文地址: http://zww.me/archives/24802

69 comments

  1. A.shun A.shun

    沙发~~~ :oops:

    沙发
  2. derek derek

    打着哈欠沙发 :oops:

    板凳
  3. derek derek

    @A.shun shun沙发都是这么快
    ..........

  4. ......
  5. starknight starknight

    请教个问题,装了STOMP后,士气下降了太快了,被几个敌人用枪扫几次,一点行动力都没了。这个在哪可以改? :sad: :!:

    21楼
    • zwwooooo zwwooooo

      @starknight STOMP注意人员搭配,有些佣兵的技能是提高伙伴志气的,具体可以看HLTVrocks在TBS的论坛贴

  6. deloma deloma

    重武器专家只剩下1个了,专家级夜行取消了。新增的枪战大师和游侠技能没有佣兵拥有也是挺遗憾的。其实Vicki挺适合枪战大师的,游侠就Scully吧。可惜不能改人物的技能啊。光就技能而言,最惨的无疑是Gumpy,只有一个技师技能。。。
    每个佣兵技能能不能自己修改呢?

    另外如果可以让我再幻想几个技能的话
    城市战专家,丛林战专家,沙漠战专家。。。
    对于aim的顶级佣兵,如果有他们的专用技能应该也会很有趣,呵呵,幻想而已,幻想而已

    22楼
    • zwwooooo zwwooooo

      @deloma 想法不错,不过技能是可以修改的,但我没研究,这个需要热情才能折腾。暂时先在这个基础上玩吧,熊窝的Sandro还在不断修改,你也可以去提意见(前提英文要好),上次 HLTVrocks 提的意见就采纳了。或者去TBS发帖讨论

  7. lintyu lintyu

    为嘛我装完后,载入游戏不是野火地图,使用ja2_3287_COS_cn.exe进入的却是野火地图?
    是什么需要设置吗? :!:

    23楼
  8. lintyu lintyu

    我设置成这样,进去后就死机......
    JA2 1.13 + STOMP1.0 + HAM3.5
    VFS_CONFIG_INI = vfs_config.JA2113.ini, vfs_config.Wildfire606maps.ini,vfs_config.TBS_Chinese(GB)_patch.ini, vfs_config.COS.ini, vfs_config.JA2113-HAMSTOMP_113.ini

    ; JA2 1.13 + Wildfire 6.06 merc + Wildfire 6.06 item + STOMP1.0 + HAM3.5
    ;VFS_CONFIG_INI = vfs_config.JA2113.ini, vfs_config.Wildfire606Merc.ini, vfs_config.Wildfire606item.ini, vfs_config.Wildfire606mapUpdate.ini, vfs_config.JA2113-HAMSTOMP_WF.ini

    24楼
  9. lintyu lintyu

    终于解决了。

    25楼
  10. TRANCELAMECH TRANCELAMECH

    老师,VISTA HB SP1下WF606必须加载在1.13之后才能正常运行

    26楼
    • zwwooooo zwwooooo

      @TRANCELAMECH - - 本来就是加在1.13之后,没有1.13何来 MOD 加载?

    • TRANCELAMECH TRANCELAMECH

      @zwwooooo
      意思是说,VFS加载的顺序必须是把WF606加在紧跟1.13MOD的后面,否则运行时弹出

    • zwwooooo zwwooooo

      @TRANCELAMECH 本来就是1.13 + WF606map,如果玩中文版就是 1.13 + TBS汉化补丁 + WF606map(或者 1.13 + WF606map + TBS汉化补丁)

      记住玩中文版不能加载WF606,通常说WF606是指完全版,不单是WF606map,还包括修改过的剧情和佣兵。也就是说文章里通常说的 WF606merc MOD 就是WF606 MOD

  11. MATRIX MATRIX

    STOMP 與 dbb913 的携行具有沖突!!!!

    有些携行具一開啟會跳的!!!

    27楼
    • zwwooooo zwwooooo

      @MATRIX 貌似没有吧,重开游戏试试,或者去tbs那里发帖反映一下,把跳出的物品名贴出来,看是不是大家都遇到这个问题,我现在没时间认真测试。

  12. 飞虎 飞虎

    子弹都用光了,也没守住,新版太疯狂了,你是如何守住的?

    28楼
  13. TRANCELAMECH TRANCELAMECH

    在野火中出现的新的地方比如palmas不能训练民兵是怎么回事,可以设置吗?

    29楼
  14. guan4 guan4

    嘿嘿,给z大拜个晚年吧 :oops: 这些天一直没机会上线。。要不早来拜了

    见谅见谅。

    祝z大的博客门庭若市
    祝z大的事业蒸蒸日上
    祝z大身体倍儿棒,吃嘛嘛香。必须得 :mrgreen:

    30楼
  15. shisa shisa

    使用了JA2v1.13cn_full_091025.exe
    然后使用SVN下载并汇出了
    最新的JA2_1.13_SVN
    最新的Chinese_SVN
    最新的DBB COSPLAY MOD
    解压覆盖了vfs_stomp1[1].0alpha_ham3.5_cn&en.7z

    然后打开 Ja2_STOMP.ini 设置 VFS_CONFIG_INI
    VFS_CONFIG_INI =vfs_config.JA2113.ini, vfs_config.TBS_Chinese(GB)_patch.ini, vfs_config.IoV_Full.ini, vfs_config.JA2113-HAMSTOMP_113.ini

    然后点ja2_3307_stomp1.0alpha_ham3.5_cn_COS.exe

    进去后直接死机,完全搞不明白是哪儿出了差错。 :sad:

    31楼
    • zwwooooo zwwooooo

      @shisa 竟然会死机,rp真好,一般出现错误都是没有正确安装导致,认真检查每个步骤吧,解压目录注意一下。

      还有你的 VFS_CONFIG_INI 错了,你参考我的文章
      vfs_config.IoV_Full.ini这个是用在1.13+IOV用的,正确应该用vfs_config.IoV.ini

    • shisa shisa

      @zwwooooo
      IoV使用SVN更新之后出现了几个exe档案,更新之。
      中文化档案放弃svn的3329,另外下载了3358。

      更改了这两项之后再重覆盖一遍,其中只有1.13还有IoV使用SVN的更新,就可以成功的执行了。

      幸好早上没课~睡觉去 :!:

    • zwwooooo zwwooooo

      @shisa 最新版的exe(3358)需要svn1215以上版本,我在中文版ja2.exe发布文章说过。

      无折腾不铁血 :roll:

    • shisa shisa

      @zwwooooo
      昨天弄太晚脑袋已经乱到分不清是3358需要1215
      还是1215需要3358了
      从整合版一下跳到SVN、VSF,果然难度不小阿XD

    • zwwooooo zwwooooo

      @shisa 先搞清楚什么是1215什么是3358,1215是1.13 mod的svn版本,3358是里面带的ja2.exe的svn版本

  16. mbt mbt

    刚入手SONY vpceb17fg :oops:

    32楼
  17. lz lz

    这个游戏真是一门学问,我最近少来几次就有点跟不上了

    最近没时间享受 先d了 谢了老大 :smile:

    33楼

Leave a Reply